libEtPan!
Prev | Chapter 2. Installation | Next

# Compilation

Generic installation instructions are in the `INSTALL` file You can pass the following extra options to configure :

## FreeBSD

- make sure libiconv is installed from the ports collection (see pkg_info).

- issue configure with the following parameter:

      $ ./configure --with-libiconv-prefix=/usr/local

## Mac OS X

- in tests/option-parser.c, change the inclusion of `getopt.h` to `gnugetopt/getopt.h`

- in `tests/Makefile`, add -I/sw/include for the CFLAGS and -L/sw/lib -lgnugetopt for the LDFLAGS.

## Linux

- Warning
  Since libEtPan! is making high usage of mmap() even for writing, when your mailboxes are on NFS filesystem with a Linux server, it is advised to use option no_subtree_check in `/etc/exports`. This should avoid corruption of data. The problem exist in Linux 2.4.22 and earlier versions.

- On RedHat systems, you have to configure using the following command line : ./configure --with-openssl=/usr/kerberos

- On Debian systems, if the ./autogen script fails on missing AM_ICONV, you have to install gettext package.

## configure

You can use the following options :

- --enable-debug Compiles with debugging turned on

- --enable-optim Turns on some optimizations flags for gcc

- --without-openssl Disables OpenSSL (do not look for it)

## Compile and install

Download the package and do the following :

    $ tar xzvf libetpan-XX.XX.tar.gz      # to decompress the package

    $ cd libetpan-XX.XX

    $ ./configure --help                 # to get options of configure

    $ ./configure                        # you can specify your own options

    $ make                               # to compile the package

    $ su

    # make install

    # logout

Prev | Home | Next
Existing packages | Up | Use of libEtPan!